#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	msgpack
Version		:	3.2.0
Release		:	14.4.0.0%{?dist}
Summary		:	MessagePack implementation for C and C++
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Boost Software License
URL		:	https://github.com/msgpack/msgpack-c

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
'%{name}' is an efficient binary serialization format,
which lets you exchange data among multiple languages
like JSON, except that it's faster and smaller. Small
integers are encoded into a single byte and short strings
require only one extra byte in addition to the strings
themselves.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
%{__mkdir_p} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_VERBOSE_MAKEFILE=TRUE				\
	-DCMAKE_C_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS"		\
	-DCMAKE_CXX_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS"	\
	-DCMAKE_BUILD_TYPE=Release				\
	-DBUILD_SHARED_LIBS=ON					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}/*
%{_includedir}/%{name}.h
%{_includedir}/%{name}.hpp
%{_libdir}/cmake/%{name}/%{name}-*.cmake
%{_libdir}/lib%{name}c.so*
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
